<template>
  <div @click="$emit('click')" :style="sizeRules + colorsRules">
    <span>&#8250;</span>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class Next extends Vue {
  @Prop({ default: "25px" }) readonly size!: string;
   
  backgroundColor = this.$store.getters.colors.backgroundColor;
  textColor =  this.$store.getters.colors.textColor;

  get sizeRules() {
    return `height: ${this.size}; width: ${this.size}; line-height: ${this.size};`;
  }

  get colorsRules(){
    return `background-color: ${this.backgroundColor}; color: ${this.textColor};`
  }

  click() {
    this.$emit("click");
  }
}
</script>

<style lang="scss" scoped>
div {
  border: none;
  border-radius: 50%;
  padding: 0;
  font-size: 200%;
  justify-content: center;
  align-items: center;
  display: flex;
  user-zoom:none;
  flex-shrink: 0;
  span {
    margin-top: -10%;
    color: black;
    font-weight: bold;
  }
}
</style>
